summaryrefslogtreecommitdiff
path: root/net-misc/openssh/files/openssh-9.3_p1-fix-putty-tests.patch
blob: 9ac02c18800067d98e8b6932645dd8cc2d26255e (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
Make sure that host keys are already accepted before
running tests.

https://bugs.gentoo.org/493866

--- a/regress/putty-ciphers.sh
+++ b/regress/putty-ciphers.sh
@@ -16,11 +16,17 @@
 
 for c in aes 3des aes128-ctr aes192-ctr aes256-ctr chacha20 ; do
 	verbose "$tid: cipher $c"
+	rm -f ${COPY}
 	cp ${OBJ}/.putty/sessions/localhost_proxy \
 	    ${OBJ}/.putty/sessions/cipher_$c
 	echo "Cipher=$c" >> ${OBJ}/.putty/sessions/cipher_$c
 
-	rm -f ${COPY}
+	env HOME=$PWD echo "y" | ${PLINK} -load cipher_$c \
+	    -i ${OBJ}/putty.rsa2 "exit"
+	if [ $? -ne 0 ]; then
+		fail "failed to pre-cache host key"
+	fi
+
 	env HOME=$PWD ${PLINK} -load cipher_$c -batch -i ${OBJ}/putty.rsa2 \
 	    cat ${DATA} > ${COPY}
 	if [ $? -ne 0 ]; then
--- a/regress/putty-kex.sh
+++ b/regress/putty-kex.sh
@@ -20,6 +20,12 @@
 	    ${OBJ}/.putty/sessions/kex_$k
 	echo "KEX=$k" >> ${OBJ}/.putty/sessions/kex_$k
 
+	env HOME=$PWD echo "y" | ${PLINK} -load kex_$k \
+	    -i ${OBJ}/putty.rsa2 "exit"
+	if [ $? -ne 0 ]; then
+		fail "failed to pre-cache host key"
+	fi
+
 	env HOME=$PWD ${PLINK} -load kex_$k -batch -i ${OBJ}/putty.rsa2 true
 	if [ $? -ne 0 ]; then
 		fail "KEX $k failed"
--- a/regress/putty-transfer.sh
+++ b/regress/putty-transfer.sh
@@ -26,6 +26,13 @@
 	cp ${OBJ}/.putty/sessions/localhost_proxy \
 	    ${OBJ}/.putty/sessions/compression_$c
 	echo "Compression=$c" >> ${OBJ}/.putty/sessions/kex_$k
+
+	env HOME=$PWD echo "y" | ${PLINK} -load compression_$c \
+	    -i ${OBJ}/putty.rsa2 "exit"
+	if [ $? -ne 0 ]; then
+		fail "failed to pre-cache host key"
+	fi
+
 	env HOME=$PWD ${PLINK} -load compression_$c -batch \
 	    -i ${OBJ}/putty.rsa2 cat ${DATA} > ${COPY}
 	if [ $? -ne 0 ]; then